package com.realnet.basicp1.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.basicp1.Entity.Addmission_form;
import com.realnet.basicp1.Services.Addmission_formService ;












@RequestMapping(value = "/Addmission_form")
 @CrossOrigin("*") 
@RestController
public class Addmission_formController {
	@Autowired
	private Addmission_formService Service;

@Value("${projectPath}")
	private String projectPath;
 












	@PostMapping("/Addmission_form")
		  public Addmission_form Savedata(@RequestBody Addmission_form data) {
		Addmission_form save = Service.Savedata(data)	;











		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Addmission_form/{id}")
	public  Addmission_form update(@RequestBody Addmission_form data,@PathVariable Integer id ) {
		Addmission_form update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Addmission_form/getall/page")
	public Page<Addmission_form> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Addmission_form> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Addmission_form")
	public List<Addmission_form> getdetails() {
		 List<Addmission_form> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Addmission_form")
	public List<Addmission_form> getallwioutsec() {
		 List<Addmission_form> get = Service.getdetails();		
		return get;
}
@GetMapping("/Addmission_form/{id}")
	public  Addmission_form  getdetailsbyId(@PathVariable Integer id ) {
		Addmission_form  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Addmission_form/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}













}